Subject: bug#55488: GDM, GNOME: Can't start desktop session after upgrade

From: Luis Felipe <[email-masked]>
Date: Tue, 17 May 2022 18:49:54 +0000

I'm using the Guix system. After upgrading it to recent versions of Guix (e.g. guix 1110479), I can't access the GNOME desktop. The problem is also present when creating a virtual machine with the same configuration file used for the real machine (guix system vm config.scm).

STEPS TO REPRODUCE

I guess these:

1. guix pull --commit=1110479d2d4dc69fc66eadb4a6c24ca2f13afa93
2. guix package -m MANIFEST.scm
3. sudo guix system reconfigure CONFIG.scm
4. sudo reboot
5. Log in in GDM

(MANIFEST and CONFIG available on request if necessary)

EXPECTED RESULT

After a few seconds, the GNOME desktop shows up, and you can start working normally.

UNEXPECTED RESULT

In the real machine, only a black screen appears. After hours, there is no change. There is no mouse pointer or any indication that the desktop has loaded.

In the virtual machine, you see a black screen and the mouse pointer appearing sometimes and then disappearing. After a minute,  you are taken back to the log in screen, which now behaves erratically: when you click on your user to log in again, it shows the username input box, and, once you move the pointer to enter your username, the view is changed back to the list of users. The same happens everytime you try to log in again.

ADDITIONAL INFORMATION

The most recent system generation where this problem does not occur for me is

~~~
Generation 81	Mar 24 2022 12:31:43
  file name: /var/guix/profiles/system-81-link
  canonical file name: /gnu/store/lwaf0xhp93k7l9yibxfyiwwm5rv5d52q-system
  label: GNU with Linux-Libre 5.16.17
  bootloader: grub-efi
  root device: UUID: 3f651226-f53e-4944-8bf8-a0b8c28cfac5
  kernel: /gnu/store/0bx2k3qslb9hw9cf52hl9xal39455maa-linux-libre-5.16.17/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: ab98b51ef1304e975da127e3092d01dcc7f02657
  configuration file: /gnu/store/64rz9n8hd1np1aljjiwvy2347abjv04w-configuration.scm
~~~

The oldest generation where the problem still occurs is

~~~
Generation 83	Apr 18 2022 13:37:16
  file name: /var/guix/profiles/system-83-link
  canonical file name: /gnu/store/y78s36kn6h4cnz50a11gi6zv662x2f95-system
  label: GNU with Linux-Libre 5.16.20
  bootloader: grub-efi
  root device: UUID: 3f651226-f53e-4944-8bf8-a0b8c28cfac5
  kernel: /gnu/store/ai4r464i09bay67f33qlmgxd7kdqjv5f-linux-libre-5.16.20/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: 237d90a7808cfdced34b34595eba16632cbcb89e
  configuration file: /gnu/store/7s2xwvwvsa6nv3mmn6g65vra4mlmlw0w-configuration.scm
~~~

WORKAROUND

Personally, I choose one of these options:

1. Use Sway as an emergency desktop (which is always in my system config file).
2. Roll back to a generation of the system that works (e.g. guix ab98b51e). This usually requires to roll back to a previous generation of the user profile as well to avoid other errors when logging in to GNOME.

SYSTEM INFORMATION

Guix system:

~~~
guix system describe
Generation 84	May 16 2022 22:04:49	(current)
  file name: /var/guix/profiles/system-84-link
  canonical file name: /gnu/store/hy2r1ff491v5rlscwz26880sx87a50la-system
  label: GNU with Linux-Libre 5.17.7
  bootloader: grub-efi
  root device: UUID: 3f651226-f53e-4944-8bf8-a0b8c28cfac5
  kernel: /gnu/store/0yl7hq7aca9dvlc514mj97f9f7s5vns4-linux-libre-5.17.7/bzImage
  channels:
    guix:
      repository URL: https://git.savannah.gnu.org/git/guix.git
      branch: master
      commit: 1110479d2d4dc69fc66eadb4a6c24ca2f13afa93
  configuration file: /gnu/store/7s2xwvwvsa6nv3mmn6g65vra4mlmlw0w-configuration.scm
~~~

Guix:

~~~
guix describe
Generation 56	May 15 2022 08:04:22	(current)
  guix 1110479
    repository URL: https://git.savannah.gnu.org/git/guix.git
    branch: master
    commit: 1110479d2d4dc69fc66eadb4a6c24ca2f13afa93
~~~

---
Luis Felipe López Acevedo
https://luis-felipe.gitlab.io/